Commit f94e80b3 authored by Antoine Mottier's avatar Antoine Mottier
Browse files

Merge branch 'maven-updates' into 'master'

Update Maven version, Maven plugins and dependencies

See merge request !23
parents bc14bc95 07c62540
Pipeline #15025 passed with stages
in 5 minutes and 13 seconds
......@@ -8,7 +8,7 @@ stages:
- package
- deploy
image: maven:3.6.3-openjdk-11
image: maven:3.8.1-openjdk-11
variables:
MAVEN_OPTS: "-Dmaven.repo.local=.m2/repository"
......
distributionUrl=https://repo.maven.apache.org/maven2/org/apache/maven/apache-maven/3.6.3/apache-maven-3.6.3-bin.zip
distributionUrl=https://repo.maven.apache.org/maven2/org/apache/maven/apache-maven/3.8.1/apache-maven-3.8.1-bin.zip
wrapperUrl=https://repo.maven.apache.org/maven2/io/takari/maven-wrapper/0.5.6/maven-wrapper-0.5.6.jar
......@@ -49,18 +49,18 @@ SPDX-License-Identifier: Apache-2.0
<!-- Jetty target version (Debian package) is 9.4
So we need to use Java EE 7 features and Servlet version 3.1 -->
<servlet.version>3.1.0</servlet.version>
<maria.db.jdbc.driver.version>2.7.2</maria.db.jdbc.driver.version>
<junit.version>5.7.1</junit.version>
<maria.db.jdbc.driver.version>2.7.3</maria.db.jdbc.driver.version>
<junit.version>5.7.2</junit.version>
<icar.json.version>1.0.0</icar.json.version>
<slf4j.version>1.7.30</slf4j.version>
<logback.classic.version>1.2.3</logback.classic.version>
<slf4j.version>1.7.32</slf4j.version>
<logback.classic.version>1.2.4</logback.classic.version>
<!-- Maven plugins version -->
<plugin.maven.clean.version>3.1.0</plugin.maven.clean.version>
<plugin.maven.compiler.version>3.8.1</plugin.maven.compiler.version>
<plugin.maven.install.version>3.0.0-M1</plugin.maven.install.version>
<plugin.maven.jar.version>3.2.0</plugin.maven.jar.version>
<plugin.maven.war.version>3.3.1</plugin.maven.war.version>
<plugin.maven.dependency.version>3.1.2</plugin.maven.dependency.version>
<plugin.maven.dependency.version>3.2.0</plugin.maven.dependency.version>
<plugin.maven.resources.version>3.2.0</plugin.maven.resources.version>
<plugin.maven.surefire.version>3.0.0-M5</plugin.maven.surefire.version>
<plugin.maven.failsafe.version>3.0.0-M5</plugin.maven.failsafe.version>
......@@ -68,6 +68,7 @@ SPDX-License-Identifier: Apache-2.0
<plugin.maven.enforcer.version>3.0.0-M3</plugin.maven.enforcer.version>
<plugin.versions.version>2.8.1</plugin.versions.version>
<plugin.maven.site.version>3.9.1</plugin.maven.site.version>
<maven-release-plugin.version>3.0.0-M4</maven-release-plugin.version>
</properties>
<dependencyManagement>
......@@ -158,6 +159,11 @@ SPDX-License-Identifier: Apache-2.0
<artifactId>maven-failsafe-plugin</artifactId>
<version>${plugin.maven.failsafe.version}</version>
</plugin>
<plugin>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-release-plugin</artifactId>
<version>${maven-release-plugin.version}</version>
</plugin>
<plugin>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-site-plugin</artifactId>
......@@ -181,7 +187,7 @@ SPDX-License-Identifier: Apache-2.0
<configuration>
<rules>
<requireMavenVersion>
<version>3.6.3</version>
<version>3.8.1</version>
</requireMavenVersion>
<requireJavaVersion>
<version>[11.0,11.99999)</version>
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment